Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#461 closed defect (fixed)

pc386: c/src/lib/libbsp/i386/pc386/startup/Makefile.am is broken

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: bsps Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

Several issues with this Makefile.am:

  1. One of my previous patches (changing .o -> .$(OBJEXT)) has broken the rule to generate startup16.bin
  1. The make-rule to generate startup16.bin applies ambiguous file names. It tries to simultaneously use *.obj and *.o.

This is bogus, because the OBJEXT is a compiler's capability and not freely choosable.

  1. The make-rule to generate startup16.bin generates an elf32 *.o and then converts it to "binary" by consecutively calling LD and OBJCOPY. AFAIS, these two calls can be packed into one call to LD (LD -o binary).

Release:
RTEMS-4.6 + trunkc

Attachments (1)

pc386-startup.diff (1009 bytes) - added by Ralf Corsepius on 12/03/06 at 13:31:12.
pc386-startup.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 08/21/03 at 16:02:45 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to both trunk and branch. Thanks.

Changed on 12/03/06 at 13:31:12 by Ralf Corsepius

Attachment: pc386-startup.diff added

pc386-startup.diff

Note: See TracTickets for help on using tickets.